const collision = require('./logic/collisionHandler');
const turnEnd = require('./logic/turnOrchestrator');
const lifeCycle = require('./logic/lifecycle');
const hopscotch = require('./logic/gameLoop');

module.exports = {
  collision: collision.collisionHandler,
  turnEnd: turnEnd.handOverTurn,
  positionReconciled: turnEnd.postPositionReconcileHandler,
  startGame: lifeCycle.startGame,
  playerJoined: lifeCycle.playerJoined,
  gameResult: lifeCycle.fetchWinnersList,
  step: hopscotch.step,
  onRestoreFromSavepoint: lifeCycle.onRestoreFromSavepoint,
  objectSyncHandler: lifeCycle.strikerScrutinize,
  resumeGame: lifeCycle.onServerRestart,
};