const oddUtils = require('./oddUtils');

const TURN_RECON_COOL_OFF_PERIOD = oddUtils.getTurnReconCoolOffPeriod();
const PRE_FORCE_REPLAY_COOL_OFF_PERIOD = oddUtils.getPreForceReplayCoolOffPeriod();

function TurnAndReconcileStateHolder() {
  // this.creationTime = Date.now();
  this.events = {};
  this.reconExpiryTime = Date.now() + TURN_RECON_COOL_OFF_PERIOD;
  this.preForceReplayPeriod = Date.now() + PRE_FORCE_REPLAY_COOL_OFF_PERIOD;
}

TurnAndReconcileStateHolder.prototype.addTurnHandoverEvent = function
    (turnHandoverEvent) {
  this.events['_tho'] = turnHandoverEvent;
};

TurnAndReconcileStateHolder.prototype.addReconcileValidateEvent = function
    (reconcileEvent) {
  this.events['_rc'] = reconcileEvent;
};

TurnAndReconcileStateHolder.prototype.canComplete = function() {
  return Object.keys(this.events).length >= 2;
};

module.exports = TurnAndReconcileStateHolder;